2013-09-22 Graeme Gott <graeme@gottcode.org>
	* Tag version 2.0.3.
	* Stop binding attribute positions with newer versions of OpenGL.

2013-09-21 Graeme Gott <graeme@gottcode.org>
	* FIXED: Newer shaders were not working in Windows 7.

2013-07-26 Graeme Gott <graeme@gottcode.org>
	* FIXED: Build failure on ARM.

2013-02-28 Graeme Gott <graeme@gottcode.org>
	* Tag version 2.0.2.1.
	* FIXED: Compile error.
	* Tag version 2.0.2.
	* FIXED: Treated command-line parameters as files to open.
	* FIXED: Did not migrate data from previous versions.
	* Update data path for Qt 5.

2013-02-27 Graeme Gott <graeme@gottcode.org>
	* Simplify build system file.

2012-12-23 Graeme Gott <graeme@gottcode.org>
	* Add support for compiling with Qt 5.0.0.

2012-05-19 Graeme Gott <graeme@gottcode.org>
	* Tag version 2.0.1.
	* FIXED: Final board did not have correct shadow.

2012-05-17 Graeme Gott <graeme@gottcode.org>
	* Set shaders to always start with color set to white.

2012-05-14 Graeme Gott <graeme@gottcode.org>
	* Make vertex be POD.
	* Add command line argument to override detected graphics layer.

2012-05-13 Graeme Gott <graeme@gottcode.org>
	* Improve detection of graphics layer.
	* Improve check for GLSL.
	* Don't draw empty scene rectangle.

2011-12-06 Graeme Gott <graeme@gottcode.org>
	* FIXED: Could not remove image of previous game.

2011-11-07 Markus Enzenberger
	* Add German translation.

2011-06-13 Artem Krosheninnikov
	* Add Russian translation.

2011-05-31 Graeme Gott <graeme@gottcode.org>
	* Rename translation files.

2011-05-18 Graeme Gott <graeme@gottcode.org>
	* Tag version 2.0.0.

2011-05-17 Graeme Gott <graeme@gottcode.org>
	* FIXED: Attaching rotated pieces messed them up.

2011-05-16 Graeme Gott <graeme@gottcode.org>
	* FIXED: Delegate background only looked correct on the Mac.
	* FIXED: Could box select after finishing a game.

2011-05-15 Sergiy Gavrylov
	* Update Ukrainian translation.

2011-05-10 Graeme Gott <graeme@gottcode.org>
	* FIXED: Scene rectangle resized the first time a piece was picked up.

2011-05-07 Graeme Gott <graeme@gottcode.org>
	* Add opening images through app icon on the Mac.

2011-05-05 Graeme Gott <graeme@gottcode.org>
	* Add Applications link to DMG.
	* Add background image to DMG.

2011-05-02 Graeme Gott <graeme@gottcode.org>
	* FIXED: Changed tags didn't show up under image names.
	* Allow user to override detected graphics layer.

2011-05-01 Graeme Gott <graeme@gottcode.org>
	* Improve button handling in choose game dialog.

2011-04-25 Graeme Gott <graeme@gottcode.org>
	* Add filter for untagged images.
	* Bold text of 'All Images' filter.
	* Stably sort images with localeAwareCompare.
	* Move editing image name into tag edit dialog.

2011-04-22 Graeme Gott <graeme@gottcode.org>
	* Reuse list delegate for current games and new games.

2011-04-21 Graeme Gott <graeme@gottcode.org>
	* Show tags under image name.

2011-04-18 Graeme Gott <graeme@gottcode.org>
	* Add setting image names.
	* Increase default window sizes.

2011-04-16 Graeme Gott <graeme@gottcode.org>
	* Redesign tag manager to be a list widget.

2011-04-15 Graeme Gott <graeme@gottcode.org>
	* Redesign new game tab.
	* Add ToolBarList class.
	* Move image filter into tag manager.

2011-04-14 Graeme Gott <graeme@gottcode.org>
	* Don't hide empty tags.
	* Remove tag management from tag image dialog.

2011-04-12 Sergiy Gavrylov
	* Add Ukrainian translation.

2011-04-10 Graeme Gott <graeme@gottcode.org>
	* Merge new and open game dialogs.
	* Use single thumbnail loading thread.

2011-04-08 Graeme Gott <graeme@gottcode.org>
	* Rename base translation file.

2011-04-06 Graeme Gott <graeme@gottcode.org>
	* FIXED: Segfault on the mac when accessing menu items during a game.

2011-04-04 Graeme Gott <graeme@gottcode.org>
	* Make overview always be 400 pixels on one side.

2011-03-30 Graeme Gott <graeme@gottcode.org>
	* Update program icon.
	* Make overview a toggle action.
	* Add support for translations.

2011-03-28 Graeme Gott <graeme@gottcode.org>
	* Improve GraphicsLayer memory management.

2011-03-26 Graeme Gott <graeme@gottcode.org>
	* Change location where data is stored.
	* Add support for older puzzle files.

2011-03-21 Graeme Gott <graeme@gottcode.org>
	* Add programmable pipeline code to GraphicsLayer.

2011-03-19 Graeme Gott <graeme@gottcode.org>
	* Move fixed function code into GraphicsLayer.
	* Move depth sorting into vertex.

2011-03-18 Graeme Gott <graeme@gottcode.org>
	* Use a single vertex buffer object.

2011-03-15 Graeme Gott <graeme@gottcode.org>
	* Draw selected pieces separately.
	* Use depth sorted drawing.

2011-03-13 Graeme Gott <graeme@gottcode.org>
	* Add border to scene rectangle.
	* Add option to disable drop shadows.

2011-03-12 Graeme Gott <graeme@gottcode.org>
	* Add option to disable bevels.
	* Change default color scheme.

2011-03-10 Graeme Gott <graeme@gottcode.org>
	* Add bevel to pieces.

2011-03-07 Graeme Gott <graeme@gottcode.org>
	* Separate out drawing shadows.
	* Switch back to using drawArrays.

2011-03-06 Graeme Gott <graeme@gottcode.org>
	* Make tiles be 64x64 pixels.

2011-03-02 Graeme Gott <graeme@gottcode.org>
	* Animate zooming to best fit.

2011-02-28 Graeme Gott <graeme@gottcode.org>
	* Add statusbar messages.

2011-02-27 Graeme Gott <graeme@gottcode.org>
	* Only check actual neighbors in attachNeighbors.
	* Move tile creation into generator class.
	* Show puzzle creation.

2011-02-25 Graeme Gott <graeme@gottcode.org>
	* Tweak retrieving pieces.
	* Clean up piece class.

2011-02-24 Graeme Gott <graeme@gottcode.org>
	* Track active pieces instead of tiles.
	* Rotate around mouse cursor.

2011-02-23 Graeme Gott <graeme@gottcode.org>
	* Use the same logic to place and retrieve pieces.
	* Update scene rectangle when creating or finishing a game.
	* Use scene rectangle to determine best fit.
	* Show wait cursor when retrieving pieces.
	* FIXED: Saved games were not deleted by open dialog.
	* Use QRegions for collision detection.

2011-02-21 Graeme Gott <graeme@gottcode.org>
	* Revert shared interleaved vertex array.

2011-02-17 Graeme Gott <graeme@gottcode.org>
	* Show scene boundaries.

2011-02-16 Graeme Gott <graeme@gottcode.org>
	* Share one interleaved vertex array.
	* Use interleaved vertex arrays.

2011-02-14 Graeme Gott <graeme@gottcode.org>
	* Cull pieces outside of viewport.
	* Use drawElements instead of drawArrays.

2011-02-13 Graeme Gott <graeme@gottcode.org>
	* Render counter-clockwise and cull hidden faces.
	* Use vertex arrays for rendering.

2010-05-18 Graeme Gott <graeme@gottcode.org>
	* Don't change working directory.

2010-04-25 Graeme Gott <graeme@gottcode.org>
	* Highlight held pieces as well as selected ones.
	* Allow player to change colors.
	* Allow player to cancel adding images.

2010-04-21 Graeme Gott <graeme@gottcode.org>
	* Hide completion bar when opening a game.

2010-04-19 Graeme Gott <graeme@gottcode.org>
	* Add auto-rotating on Windows and the Mac.

2010-04-17 Graeme Gott <graeme@gottcode.org>
	* Refactor thumbnail loading.
	* Improve detection of saved games.
	* Make sorting consistent across runs.
	* Reset tag filter when adding images.
	* Use jhead to auto-rotate images.

2010-04-16 Graeme Gott <graeme@gottcode.org>
	* FIXED: Buttons in new game dialog were not always correctly enabled.

2010-04-15 Graeme Gott <graeme@gottcode.org>
	* Add images dropped on game.
	* Use image hash as file name.
	* Use groupboxes in new game dialog.
	* Replace ImageDialog with QFileDialog.
	* Rename labels to tags.

2010-04-11 Graeme Gott <graeme@gottcode.org>
	* Improve selection rectangle.
	* Share the zooming algorithm between windows.

2010-04-10 Graeme Gott <graeme@gottcode.org>
	* Prevent puzzles with no pieces.
	* Update Mac support.

2010-04-09 Graeme Gott <graeme@gottcode.org>
	* Use a progressbar to show puzzle completion.
	* Improve handling of overview window.
	* Add message class.
	* Change zoom algorithm.
	* Add drop shadows.
	* Improve board generation.
	* Remove beveled borders.
	* Change storage location.
	* Update coding style.

2008-12-21 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.2.1.
	* FIXED: Held pieces jittered when scrolling.

2008-12-20 Graeme Gott <graeme@gottcode.org>
	* FIXED: Tile borders were not correctly scaled.

2008-12-18 Graeme Gott <graeme@gottcode.org>
	* FIXED: Mouse cursor drifted off pieces when moving.

2008-12-17 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.2.0.
	* Add panning and zooming to overview window.

2008-12-08 Frank Tetzel <s1445051@mail.inf.tu-dresden.de>
	* Add keyboard shortcuts.
	* Add ability to toggle borders.

2008-11-25 Ulrik Mikaelsson <rawler@users.sf.net>
	* Added margins to new collision-detection.
	* Implemented real collision detection.

2008-11-03 Graeme Gott <graeme@gottcode.org>
	* Use image dialog from FocusWriter.

2008-09-20 Ulrik Mikaelsson <rawler@users.sf.net>
	* Use binary collision search for pushing pieces in pushNeighbors.

2008-07-28 Graeme Gott <graeme@gottcode.org>
	* Add ability to retrieve pieces.
	* Favor larger pieces in pushNeighbors.
	* Show actual puzzle image in overview window.
	* Add option to use entire image when generating a puzzle.

2008-07-20 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.1.0.
	* Add rectangle select.

2008-07-19 Graeme Gott <graeme@gottcode.org>
	* Unify cursor tracking.

2008-07-15 Graeme Gott <graeme@gottcode.org>
	* Merge marginRect back into findCollidingPieces.
	* Clean up access to m_active_tiles.
	* Rename tile to piece where appropriate.
	* Clean up pushNeighbors.
	* Ignore zoom when pushing pieces.

2008-07-13 Ulrik Mikaelsson <rawler@users.sf.net>
	* Use new pushing algorithm based on direction vectors and inertia.
	* Add marginRect function for quick collision boundary checking.
	* Change board's collision API to return one or all collisions.
	* Fix debug build failure.

2008-07-12 Graeme Gott <graeme@gottcode.org>
	* Share code in attachNeighbors.
	* Show wait cursor when starting or opening games.

2008-07-11 Graeme Gott <graeme@gottcode.org>
	* Change cursor if you can grab a piece, and if you are holding pieces.

2008-07-08 Graeme Gott <graeme@gottcode.org>
	* Add piece class.

2008-07-08 Ulrik Mikaelsson <rawler@users.sf.net>
	* Rename region-handling-code to margin.

2008-07-06 Ulrik Mikaelsson <rawler@users.sf.net>
	* Update mouse cursor if you can grab more pieces when dragging.
	* Rotate all active pieces.
	* Use a QHashMap for m_active_tiles.

2008-07-05 Ulrik Mikaelsson <rawler@users.sf.net>
	* FIXED: Pushing neighbors moved them too far.
	* Add ability to grab multiple pieces.
	* Attach neighbors when holding only one piece.
	* Use a QSet for m_active_tiles.

2008-07-03 Graeme Gott <graeme@gottcode.org>
	* FIXED: Overview was sometimes repositioned to 0,0 in GNOME.

2008-07-02 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.0.2.

2008-07-01 Graeme Gott <graeme@gottcode.org>
	* Change fullscreen shortcut on the Mac.
	* FIXED: Segfault when all images are removed.

2008-06-18 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.0.1.

2008-06-17 Graeme Gott <graeme@gottcode.org>
	* FIXED: Binary not installed with make install.
	* FIXED: Focus was lost when overview was shown in GNOME.

2008-06-14 Ulrik Mikaelsson <rawler@users.sf.net>
	* Add fullscreen mode.

2008-06-10 Graeme Gott <graeme@gottcode.org>
	* Prevent opening a game that references a missing image.

2008-06-08 Graeme Gott <graeme@gottcode.org>
	* Tag version 1.0.
	* Switch keyboard shortcut for toggling overview.
	* FIXED: Overview was not a tool window in GNOME.

2008-06-07 Graeme Gott <graeme@gottcode.org>
	* FIXED: User could remove image of currently open game.
	* FIXED: Default piece count was being ignored.
	* Remember overview's visibility and position with program.
	* Update zoom values from previous file formats.

2008-06-04 Graeme Gott <graeme@gottcode.org>
	* Add label system for images.

2008-06-01 Graeme Gott <graeme@gottcode.org>
	* Remember dialog sizes.

2008-05-31 Graeme Gott <graeme@gottcode.org>
	* Simplify zoom algorithm.

2008-05-26 Graeme Gott <graeme@gottcode.org>
	* Remember window position.
	* Hide statusbar widgets when creating or loading a puzzle.

2008-05-25 Graeme Gott <graeme@gottcode.org>
	* Inform player of delay when creating or loading a puzzle.

2008-05-09 Graeme Gott <graeme@gottcode.org>
	* Tag version 0.7.
	* Add help menu.

2008-05-08 Graeme Gott <graeme@gottcode.org>
	* Improve thumbnail shadow code.
	* FIXED: Thumbnails were not generated in static build.

2008-05-07 Graeme Gott <graeme@gottcode.org>
	* FIXED: Pieces would leave mouse cursor when moved and rotated.

2008-05-05 Graeme Gott <graeme@gottcode.org>
	* Add alternate commands.
	* Add "Best Fit" to view menu.
	* FIXED: Completed boards were not always rotated correctly.

2008-05-04 Graeme Gott <graeme@gottcode.org>
	* Prevent addition of duplicate images.
	* Share thumbnail generation code in all dialogs with thumbnails.

2008-05-03 Graeme Gott <graeme@gottcode.org>
	* Add zoom slider to statusbar.
	* Remember each puzzle's position and zoom.
	* Remember overview's visibility and position with each puzzle.

2008-05-02 Graeme Gott <graeme@gottcode.org>
	* Show puzzle overview.
	* Automatically save games.
	* Store directory shown in image selection dialog across runs.
	* Add cap to number of previews stored by image selection dialog.

2008-04-30 Graeme Gott <graeme@gottcode.org>
	* Add shadows to all thumbnails.
	* Disable image selection dialog's open button unless images are selected.
	* Create defualt icon for image selection dialog.
	* Use filename as tooltip in image selection dialog.

2008-04-29 Graeme Gott <graeme@gottcode.org>
	* Add thumbnails to files in image selection dialog.

2008-04-28 Graeme Gott <graeme@gottcode.org>
	* Replace success message.
	* Allow multiple images to be added at once.

2008-04-09 Graeme Gott <graeme@gottcode.org>
	* Tag version 0.6.
	* FIXED: Minimum zoom level was incorrect.

2008-04-06 Graeme Gott <graeme@gottcode.org>
	* Improve code to set maximum value for piece count slider.

2008-04-05 Graeme Gott <graeme@gottcode.org>
	* Use 8x8 groups instead of 4x4 groups.

2008-04-02 Graeme Gott <graeme@gottcode.org>
	* Remember selected image across new games.
	* Add image selection dialog.
	* FIXED: Pieces were covering other pieces at start of a new game.
	* Push non-snappable pieces away from dropped piece.

2008-03-31 Graeme Gott <graeme@gottcode.org>
	* Snap tiles while moving.

2008-03-30 Graeme Gott <graeme@gottcode.org>
	* Center and zoom out board on new and loaded games.

2008-03-29 Graeme Gott <graeme@gottcode.org>
	* Make zooming smoother.
	* Generate arbitrary arrangement of pieces.

2008-03-27 Graeme Gott <graeme@gottcode.org>
	* Regenerate bumpmap when zoomed.
	* FIXED: Sometimes couldn't put pieces down.

2008-03-26 Graeme Gott <graeme@gottcode.org>
	* Add maximum image size.
	* FIXED: Finished games were shown as unsaved.
	* Add Windows support.
	* Add Mac support.

2008-03-25 Graeme Gott <graeme@gottcode.org>
	* FIXED: Pieces were positioned incorrectly when moved and rotated.

2008-03-24 Graeme Gott <graeme@gottcode.org>
	* Add indicator of modified state.
	* Make snap region the same at all zoom levels.

2008-03-22 Graeme Gott <graeme@gottcode.org>
	* Randomly rotate and position new game pieces.
	* FIXED: Did not show textures on new game.

2008-03-20 Graeme Gott <graeme@gottcode.org>
	* Congratulate player when they finish a game.

2008-03-19 Graeme Gott <graeme@gottcode.org>
	* Add zoom actions to menu.
	* Move active piece when resizing or zooming.

2008-03-18 Graeme Gott <graeme@gottcode.org>
	* Adjust for zoom when determining where mouse is.

2008-03-16 Graeme Gott <graeme@gottcode.org>
	* Add zooming.
	* Add scrolling.
	* Add bounding rectangle to tiles.

2008-03-15 Graeme Gott <graeme@gottcode.org>
	* Prompt to save game on window close.
	* Disable open button when there are no saved games to open.
	* Disable save button when no changes have been made.

2008-03-13 Graeme Gott <graeme@gottcode.org>
	* Remember window geometry.
	* Remember piece count for new games.
	* Manage images in new game dialog.
	* Copy images into data folder.

2008-03-12 Graeme Gott <graeme@gottcode.org>
	* Add new game dialog.
	* Add open game dialog.
	* Create thumbnails.
	* Show percent completed.

2008-03-11 Graeme Gott <graeme@gottcode.org>
	* Read and write tile data.

2008-03-10 Graeme Gott <graeme@gottcode.org>
	* Left-click to pick up and to drop groups.

2008-03-09 Graeme Gott <graeme@gottcode.org>
	* Rewrite using OpenGL.

2008-03-06 Graeme Gott <graeme@gottcode.org>
	* Start with tetromino pieces.
	* Snap tiles together during creation.

2008-03-05 Graeme Gott <graeme@gottcode.org>
	* Embed solutions in program.

2008-03-04 Graeme Gott <graeme@gottcode.org>
	* Make dancing links row count dynamic.

2008-03-02 Graeme Gott <graeme@gottcode.org>
	* Add dancing links implementation.

2008-03-01 Graeme Gott <graeme@gottcode.org>
	* Speed up tile creation.

2008-02-26 Graeme Gott <graeme@gottcode.org>
	* Cache rotated pixmaps.

2008-02-22 Graeme Gott <graeme@gottcode.org>
	* Rotate around tile clicked on.

2008-02-21 Graeme Gott <graeme@gottcode.org>
	* Change mouse cursor.
	* FIXED: Dropping a tile on two groups didn't position it properly.

2008-02-18 Graeme Gott <graeme@gottcode.org>
	* FIXED: Rotated tiles would not snap together.
	* Allow player to rotate groups.

2008-02-16 Graeme Gott <graeme@gottcode.org>
	* Snap tiles into groups.

2008-02-15 Graeme Gott <graeme@gottcode.org>
	* Snap tiles together.

2008-02-10 Graeme Gott <graeme@gottcode.org>
	* Store column and row in Piece.
	* Middle-mouse click moves tiles to back.

2008-02-09 Graeme Gott <graeme@gottcode.org>
	* Allow player to move and rotate tiles.
	* Add tile class.
	* Add board class.
	* Cache emboss effect.
	* Add emboss effect.
	* Show creation progress.
	* FIXED: Puzzle tiles were the wrong size.

2008-02-08 Graeme Gott <graeme@gottcode.org>
	* Add window class.
	* Add mask class.
	* Initial project layout.
